import request from '@/utils/request'

// 查询短信提醒配置列表
export function listRemind (query) {
  return request({
    url: '/clw/remind/list',
    method: 'get',
    params: query
  })
}

// 查询短信提醒配置详细
export function getRemind (remindType) {
  return request({
    url: '/clw/remind/' + remindType,
    method: 'get'
  })
}

// 新增短信提醒配置
export function addRemind (data) {
  return request({
    url: '/clw/remind',
    method: 'post',
    data: data
  })
}

// 修改短信提醒配置
export function updateRemind (data) {
  return request({
    url: '/clw/remind',
    method: 'put',
    data: data
  })
}

// 删除短信提醒配置
export function delRemind (remindType) {
  return request({
    url: '/clw/remind/' + remindType,
    method: 'delete'
  })
}
